/*
 * Copyright (c) eHealth
 */
package be.ehealth.businessconnector.test.testcommons.testperson.domain;


/**
 * Information for a profession of a person.
 * 
 * @author EHP
 */
public class TestPerson {

    private String professionType;

    private String professionNihii;

    private Environment env;


    /**
     * @param env
     */
    public TestPerson(Environment env) {
        super();
        this.env = env;
    }


    /**
     * @return the professionType
     */
    public String getProfessionType() {
        return professionType;
    }


    /**
     * @param professionType the professionType to set
     */
    public void setProfessionType(String professionType) {
        this.professionType = professionType;
    }


    /**
     * @return the professionNihii
     */
    public String getProfessionNihii() {
        return professionNihii;
    }


    /**
     * @param professionNihii the professionNihii to set
     */
    public void setProfessionNihii(String professionNihii) {
        this.professionNihii = professionNihii;
    }


    /**
     * @return
     * @see Environment#getP12Password()
     */
    public String getP12Password() {
        return env.getP12Password();
    }


    /**
     * @param p12Password
     * @see Environment#setP12Password(java.lang.String)
     */
    public void setP12Password(String p12Password) {
        env.setP12Password(p12Password);
    }


    /**
     * @return
     * @see Environment#getP12Location()
     */
    public String getP12Location() {
        return env.getP12Location();
    }


    /**
     * @param p12Location
     * @see Environment#setP12Location(java.lang.String)
     */
    public void setP12Location(String p12Location) {
        env.setP12Location(p12Location);
    }


    /**
     * @return
     * @see Environment#getFirstName()
     */
    public String getFirstName() {
        return env.getFirstName();
    }


    /**
     * @param firstName
     * @see Environment#setFirstName(java.lang.String)
     */
    public void setFirstName(String firstName) {
        env.setFirstName(firstName);
    }


    /**
     * @return
     * @see Environment#getSsin()
     */
    public String getSsin() {
        return env.getSsin();
    }


    /**
     * @param ssin
     * @see Environment#setSsin(java.lang.String)
     */
    public void setSsin(String ssin) {
        env.setSsin(ssin);
    }


    /**
     * @return
     * @see Environment#getCardnumber()
     */
    public String getCardnumber() {
        return env.getCardnumber();
    }


    /**
     * @param cardnumber
     * @see Environment#setCardnumber(java.lang.String)
     */
    public void setCardnumber(String cardnumber) {
        env.setCardnumber(cardnumber);
    }


    /**
     * @return
     * @see Environment#getLastName()
     */
    public String getLastName() {
        return env.getLastName();
    }


    /**
     * @param lastName
     * @see Environment#setLastName(java.lang.String)
     */
    public void setLastName(String lastName) {
        env.setLastName(lastName);
    }


    /**
     * @return
     * @see Environment#getMut()
     */
    public String getMut() {
        return env.getMut();
    }


    /**
     * @param mut
     * @see Environment#setMut(java.lang.String)
     */
    public void setMut(String mut) {
        env.setMut(mut);
    }


    /**
     * @return
     * @see Environment#getMutualityNumber()
     */
    public String getMutualityNumber() {
        return env.getMutualityNumber();
    }


    /**
     * @param mutualityNumber
     * @see Environment#setMutualityNumber(java.lang.String)
     */
    public void setMutualityNumber(String mutualityNumber) {
        env.setMutualityNumber(mutualityNumber);
    }


    /**
     * @return
     * @see Environment#getEnvironmentName()
     */
    public String getEnvironmentName() {
        return env.getEnvironmentName();
    }


    /**
     * @param environmentName
     * @see Environment#setEnvironmentName(java.lang.String)
     */
    public void setEnvironmentName(String environmentName) {
        env.setEnvironmentName(environmentName);
    }


}
